Skip to main content

Source code Changes To

pkg-gate / src / modules / actions / depend.py

From revision 2955 to 2958:

diff -r 796cde775790 -r 868e07939116 src/modules/actions/depend.py
--- a/src/modules/actions/depend.py	Fri Sep 27 10:19:27 2013 +1200
+++ b/src/modules/actions/depend.py	Fri Sep 27 11:38:34 2013 -0700
@@ -203,8 +203,7 @@
 
                 # XXX Exclude and range between min and max not yet handled
                 def __min_version():
-                        return pkg.version.Version("0",
-                            image.attrs["Build-Release"])
+                        return pkg.version.Version("0")
 
                 ctype = self.attrs["type"]
 
@@ -216,7 +215,7 @@
                 # get a list of fmris and do fmri token substitution
                 pfmris = []
                 for i in self.attrlist("fmri"):
-                        f = pkg.fmri.PkgFmri(i, image.attrs["Build-Release"])
+                        f = pkg.fmri.PkgFmri(i)
                         if f.pkg_name == DEPEND_SELF:
                                 f = pfmri
                         pfmris.append(f)
@@ -253,8 +252,7 @@
                         min_fmri = pfmri.copy()
                         min_fmri.version = __min_version()
                 elif ctype == "conditional":
-                        cfmri = pkg.fmri.PkgFmri(self.attrs["predicate"],
-                            image.attrs["Build-Release"])
+                        cfmri = pkg.fmri.PkgFmri(self.attrs["predicate"])
                         installed_cversion = image.get_version_installed(cfmri)
                         if installed_cversion is not None and \
                             installed_cversion.is_successor(cfmri):
@@ -477,7 +475,7 @@
                 for attr in ("predicate", "fmri"):
                         for f in self.attrlist(attr):
                                 try:
-                                        pkg.fmri.PkgFmri(f, "5.11")
+                                        pkg.fmri.PkgFmri(f)
                                 except (pkg.version.VersionError,
                                     pkg.fmri.FmriError), e:
                                         if attr == "fmri" and f == "__TBD":

 
 
Close
loading
Please Confirm
Close